Debian Bug report logs - #592768
clisp segfaults on install on powerpc system.

version graph

Package: clisp; Maintainer for clisp is Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>; Source for clisp is src:clisp.

Reported by: Len Sorensen <lennartsorensen@ruggedcom.com>

Date: Thu, 12 Aug 2010 17:24:02 UTC

Severity: grave

Tags: squeeze-ignore

Merged with 594178

Found in version clisp/1:2.48-3

Fixed in versions clisp/1:2.49-1, clisp/1:2.48-3.1

Done: David Bremner <bremner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Thu, 12 Aug 2010 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Len Sorensen <lennartsorensen@ruggedcom.com>:
New Bug report received and forwarded. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Thu, 12 Aug 2010 17:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Len Sorensen <lennartsorensen@ruggedcom.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: clisp segfaults on install on powerpc system.
Date: Thu, 12 Aug 2010 13:14:45 -0400
Package: clisp
Version: 1:2.48-3
Severity: grave
Justification: renders package unusable

In trying to dist-upgrade today, I got a segfault in clisp.

Setting up clisp (1:2.48-3) ...                                                                                                                                                                                                                                                
Installing clc...                                                                                                                                                                                                                                                              
;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...                                                                                                                                                                                                                       
;;  Loading file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp ...                                                                                                                                                                          
;;  Loaded file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp                                                                                                                                                                               
*** - handle_fault error2 ! address = 0x77946b98 not in [0x69a5a0d8,0x69b37000) !                                                                                                                                                                                              
SIGSEGV cannot be cured. Fault address = 0x77946b98.                                                                                                                                                                                                                           
GC count: 0                                                                                                                                                                                                                                                                    
Space collected by GC: 0 0                                                                                                                                                                                                                                                     
Run time: 0 34497                                                                                                                                                                                                                                                              
Real time: 0 610829                                                                                                                                                                                                                                                            
GC time: 0 0                                                                                                                                                                                                                                                                   
Permanently allocated: 108736 bytes.                                                                                                                                                                                                                                           
Currently in use: 3721192 bytes.                                                                                                                                                                                                                                               
Free space: 198 bytes.                                                                                                                                                                                                                                                         
Segmentation fault                                                                                                                                                                                                                                                             
Building of new image failed!                                                                                                                                                                                                                                                  
dpkg: error processing clisp (--configure):                                                                                                                                                                                                                                    
 subprocess installed post-installation script returned error exit status 4                                                                                                                                                                                                    
dpkg: dependency problems prevent configuration of xindy:                                                                                                                                                                                                                      
 xindy depends on clisp-fasl-loader-20080430; however:                                                                                                                                                                                                                         
  Package clisp-fasl-loader-20080430 is not installed.                                                                                                                                                                                                                         
  Package clisp which provides clisp-fasl-loader-20080430 is not configured yet.                                                                                                                                                                                               
dpkg: error processing xindy (--configure):                                                                                                                                                                                                                                    
 dependency problems - leaving unconfigured                                                                                                                                                                                                                                    
Errors were encountered while processing:                                                                                                                                                                                                                                      
 clisp                                                                                                                                                                                                                                                                         
 xindy                                                                                                                                                                                                                                                                         
E: Sub-process /usr/bin/dpkg returned an error code (1)

Any idea?  I tried purging clisp and installing it again, same result.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc64)

Kernel: Linux 2.6.32-5-powerpc64 (SMP w/4 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages clisp depends on:
ii  common-lisp-controlle 7.3                Common Lisp source and compiler ma
ii  libc6                 2.11.2-2           Embedded GNU C Library: Shared lib
ii  libdb4.8              4.8.26-1           Berkeley v4.8 Database Libraries [
ii  libffcall1            1.10+cvs20100619-2 Foreign Function Call Libraries
ii  libncurses5           5.7+20100313-2     shared libraries for terminal hand
ii  libreadline5          5.2-7              GNU readline and history libraries
ii  libsigsegv0           2.5-3              Library for handling page faults i
ii  libx11-6              2:1.3.3-3          X11 client-side library
ii  libxau6               1:1.0.6-1          X11 authorisation library
ii  libxext6              2:1.1.2-1          X11 miscellaneous extension librar
ii  libxpm4               1:3.5.8-1          X11 pixmap library

clisp recommends no packages.

Versions of packages clisp suggests:
pn  clisp-dev                     <none>     (no description available)
pn  clisp-doc                     <none>     (no description available)
pn  gdb                           <none>     (no description available)
pn  slime                         <none>     (no description available)

-- no debconf information




Merged 592768 594178. Request was from Peter Van Eynde <pvaneynd@debian.org> to control@bugs.debian.org. (Sun, 29 Aug 2010 19:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Thu, 16 Sep 2010 20:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to stef louise <stephane.r.louise@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Thu, 16 Sep 2010 20:18:06 GMT) Full text and rfc822 format available.

Message #12 received at 592768@bugs.debian.org (full text, mbox):

From: stef louise <stephane.r.louise@gmail.com>
To: 592768@bugs.debian.org
Subject: complementary information
Date: Thu, 16 Sep 2010 21:57:19 +0200
Hi,

This bug seems quite quiet for a grave bug (the update manager refuse
to work since then).
I tried to use dpkg which seems to give more accurate messages for
common-lisp installation:

# LANG=C dpkg -i /var/cache/apt/archives/common-lisp-controller_7.4_all.deb
(Reading database ... 196004 files and directories currently installed.)
Preparing to replace common-lisp-controller 7.4 (using
.../common-lisp-controller_7.4_all.deb) ...
Unpacking replacement common-lisp-controller ...
Setting up common-lisp-controller (7.4) ...
Reinstalling for clisp
Recompiling Common Lisp Controller for clisp
Installing clc...
;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...
;;  Loading file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
...
;;  Loaded file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
*** - handle_fault error2 ! address = 0x77dc3ba0 not in
[0x699c60d8,0x69aa3000) !
SIGSEGV cannot be cured. Fault address = 0x77dc3ba0.
GC count: 0
Space collected by GC: 0 0
Run time: 0 42538
Real time: 0 276550
GC time: 0 0
Permanently allocated: 108736 bytes.
Currently in use: 3721376 bytes.
Free space: 14 bytes.
/usr/lib/common-lisp/bin/clisp.sh: line 16:  4303 Segmentation fault
   ${builder} -norc -q -M ${orig_mem} -on-error exit -x "
(handler-case
  (progn
    (when (find-package :c-l-c) ; have to remove
      (delete-package :c-l-c))  ; for clisp workaround
    (load \"$clisp_dir/install-clc.lisp\")
    (saveinitmem \"${target_mem}\")
    (ext:exit 0))
  (error (e)
    (ignore-errors (format t \"~&install-clc error: ~A~%\" e))
    (finish-output)
    (ext:exit 1)))"
Building of new image failed!

Done rebuilding
Processing triggers for man-db ...

I'd like to help further, but is there some easy way to provide more feedback?
regards




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Thu, 16 Sep 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faré <fahree@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Thu, 16 Sep 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 592768@bugs.debian.org (full text, mbox):

From: Faré <fahree@gmail.com>
To: stef louise <stephane.r.louise@gmail.com>, 592768@bugs.debian.org
Subject: Re: Bug#592768: complementary information
Date: Thu, 16 Sep 2010 16:52:57 -0400
What version of clisp are you using? asdf 2.007 is incompatible with
old clisp. asdf 2.008 includes compatibility with old clisp. Does
upgrading asdf to a recent package help?

Otherwise, can you use printf or dichotomy debugging to identify where
precisely this script fails?

[ François-René ÐVB Rideau | Reflection&Cybernethics | http://fare.tunes.org ]
Never abandon a theory that explains something until you have a theory that
explains more.  — John McCarthy



On 16 September 2010 15:57, stef louise <stephane.r.louise@gmail.com> wrote:
> Hi,
>
> This bug seems quite quiet for a grave bug (the update manager refuse
> to work since then).
> I tried to use dpkg which seems to give more accurate messages for
> common-lisp installation:
>
> # LANG=C dpkg -i /var/cache/apt/archives/common-lisp-controller_7.4_all.deb
> (Reading database ... 196004 files and directories currently installed.)
> Preparing to replace common-lisp-controller 7.4 (using
> .../common-lisp-controller_7.4_all.deb) ...
> Unpacking replacement common-lisp-controller ...
> Setting up common-lisp-controller (7.4) ...
> Reinstalling for clisp
> Recompiling Common Lisp Controller for clisp
> Installing clc...
> ;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...
> ;;  Loading file
> /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
> ...
> ;;  Loaded file
> /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
> *** - handle_fault error2 ! address = 0x77dc3ba0 not in
> [0x699c60d8,0x69aa3000) !
> SIGSEGV cannot be cured. Fault address = 0x77dc3ba0.
> GC count: 0
> Space collected by GC: 0 0
> Run time: 0 42538
> Real time: 0 276550
> GC time: 0 0
> Permanently allocated: 108736 bytes.
> Currently in use: 3721376 bytes.
> Free space: 14 bytes.
> /usr/lib/common-lisp/bin/clisp.sh: line 16:  4303 Segmentation fault
>   ${builder} -norc -q -M ${orig_mem} -on-error exit -x "
> (handler-case
>  (progn
>    (when (find-package :c-l-c) ; have to remove
>      (delete-package :c-l-c))  ; for clisp workaround
>    (load \"$clisp_dir/install-clc.lisp\")
>    (saveinitmem \"${target_mem}\")
>    (ext:exit 0))
>  (error (e)
>    (ignore-errors (format t \"~&install-clc error: ~A~%\" e))
>    (finish-output)
>    (ext:exit 1)))"
> Building of new image failed!
>
> Done rebuilding
> Processing triggers for man-db ...
>
> I'd like to help further, but is there some easy way to provide more feedback?
> regards
>
>
>
> _______________________________________________
> pkg-common-lisp-devel mailing list
> pkg-common-lisp-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-common-lisp-devel
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Thu, 16 Sep 2010 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to stef louise <stephane.r.louise@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Thu, 16 Sep 2010 21:33:08 GMT) Full text and rfc822 format available.

Message #22 received at 592768@bugs.debian.org (full text, mbox):

From: stef louise <stephane.r.louise@gmail.com>
To: 592768@bugs.debian.org
Subject: Fwd: Bug#592768: complementary information
Date: Thu, 16 Sep 2010 23:29:22 +0200
It's an up to date testing system (testing is more reasonable than sid
on unusual architecture like PPC), so it is 2.004 if I understand your
question.

$ apt-cache show cl-asdf
Package: cl-asdf
Priority: optional
Section: lisp
Installed-Size: 1296
Maintainer: Debian Common Lisp Team
<pkg-common-lisp-devel@lists.alioth.debian.org>
Architecture: all
Version: 2:2.004-1
Replaces: sbcl-common (<= 1:0.9.13.0-2)
Depends: common-lisp-controller (>= 5.11), dpkg (>= 1.15.4) | install-info
Recommends: sbcl | lisp-compiler
Conflicts: common-lisp-controller (<= 7.0), sbcl-common (<= 1:0.9.13.0-2)
Breaks: common-lisp-controller (<= 7.0)
Filename: pool/main/c/cl-asdf/cl-asdf_2.004-1_all.deb


Installing 2.008 doesn't help. Same problem here. Tracking the bug is
a bit time consuming for s.o. who doesn't know very well the system. I
tried a bit, but I must chroot for testing and I didn't suceed
(doesn't find the shell).

Regards
Stephane

2010/9/16 Faré <fahree@gmail.com>:
> What version of clisp are you using? asdf 2.007 is incompatible with
> old clisp. asdf 2.008 includes compatibility with old clisp. Does
> upgrading asdf to a recent package help?
>
> Otherwise, can you use printf or dichotomy debugging to identify where
> precisely this script fails?
>
> [ François-René ÐVB Rideau | Reflection&Cybernethics | http://fare.tunes.org ]
> Never abandon a theory that explains something until you have a theory that
> explains more.  — John McCarthy
>
>
>
> On 16 September 2010 15:57, stef louise <stephane.r.louise@gmail.com> wrote:
>> Hi,
>>
>> This bug seems quite quiet for a grave bug (the update manager refuse
>> to work since then).
>> I tried to use dpkg which seems to give more accurate messages for
>> common-lisp installation:
>>
>> # LANG=C dpkg -i /var/cache/apt/archives/common-lisp-controller_7.4_all.deb
>> (Reading database ... 196004 files and directories currently installed.)
>> Preparing to replace common-lisp-controller 7.4 (using
>> .../common-lisp-controller_7.4_all.deb) ...
>> Unpacking replacement common-lisp-controller ...
>> Setting up common-lisp-controller (7.4) ...
>> Reinstalling for clisp
>> Recompiling Common Lisp Controller for clisp
>> Installing clc...
>> ;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...
>> ;;  Loading file
>> /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
>> ...
>> ;;  Loaded file
>> /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
>> *** - handle_fault error2 ! address = 0x77dc3ba0 not in
>> [0x699c60d8,0x69aa3000) !
>> SIGSEGV cannot be cured. Fault address = 0x77dc3ba0.
>> GC count: 0
>> Space collected by GC: 0 0
>> Run time: 0 42538
>> Real time: 0 276550
>> GC time: 0 0
>> Permanently allocated: 108736 bytes.
>> Currently in use: 3721376 bytes.
>> Free space: 14 bytes.
>> /usr/lib/common-lisp/bin/clisp.sh: line 16:  4303 Segmentation fault
>>   ${builder} -norc -q -M ${orig_mem} -on-error exit -x "
>> (handler-case
>>  (progn
>>    (when (find-package :c-l-c) ; have to remove
>>      (delete-package :c-l-c))  ; for clisp workaround
>>    (load \"$clisp_dir/install-clc.lisp\")
>>    (saveinitmem \"${target_mem}\")
>>    (ext:exit 0))
>>  (error (e)
>>    (ignore-errors (format t \"~&install-clc error: ~A~%\" e))
>>    (finish-output)
>>    (ext:exit 1)))"
>> Building of new image failed!
>>
>> Done rebuilding
>> Processing triggers for man-db ...
>>
>> I'd like to help further, but is there some easy way to provide more feedback?
>> regards
>>
>>
>>
>> _______________________________________________
>> pkg-common-lisp-devel mailing list
>> pkg-common-lisp-devel@lists.alioth.debian.org
>> http://lists.alioth.debian.org/mailman/listinfo/pkg-common-lisp-devel
>>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Fri, 17 Sep 2010 05:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@mailworks.org>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Fri, 17 Sep 2010 05:24:04 GMT) Full text and rfc822 format available.

Message #27 received at 592768@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@mailworks.org>
To: stef louise <stephane.r.louise@gmail.com>, 592768@bugs.debian.org
Subject: Re: Bug#592768: complementary information
Date: Fri, 17 Sep 2010 07:21:22 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hello Stef,

On 16/09/10 21:57, stef louise wrote:
> /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
> *** - handle_fault error2 ! address = 0x77dc3ba0 not in
> [0x699c60d8,0x69aa3000) !

I have a new clisp version prepared with a new upstream version that
builds correctly on the build-machine I tried.

You can either try the pvaneynd branch in the git repository or wait
until I have some time to prepare and upload to experimental.

Best regards, Peter
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJMkvrQAAoJEB4VNT76eIla+4IQAIhEVVtx+6w6iYJrQKZl5tPE
giEoX9w3Q8+65dkuQHh+9ndw3wj+WU3r0YsbrBh67WMLYMg3UKnGijtqd7i6uZmJ
oKnCblYT79G2yGmVtV7AkGjOVU7FVmcIicEgULKZ0plGmsD4RYLoqiEPK61lqEHS
zfb7vfXNVUZbc0HjP8Guez9/gW4+jxYnpOixq9G5ctTwD/P+405qFkth7ZFAojcI
B7a1QmP5VmmSu+LDiAp8N/3zll4qkIjCq8RphChKIJ6d0fGJ8hmHPfNremnI3YG/
RE0FMG/9fkQ+RK0Y+8v6L8+3GjFvlroWvJIQdIkyLJSmgo4TMIABBATQxrtuQwmO
rkdDwLbXAxY3uD1CI6ueAobDYUdDqSCJfqj6fkNbY2i+ktrYJNUxwSEDuB5Axhoz
H4jP2F0ZfTZ/HoALk8d97QNoLlfxGJJb+uhWeOXB4zB1J+ttJiMxyZKwuEM/HNUc
5j9qxpcIGuyMtwSbCyTtkRLM0yhkW8eMF54mmHH4fzr6jqMo1fDsSF3MINNi4Nfs
nEDRrJHwPptJqnAATBTUZTQO8FkvPXnLbDSzgRd/sy/qNgNu4DruEmroD7E1nSTg
drindQSzPTr/KT1Jq0Nrg68UQFPCy262D/4nJOLstK2Lm6rbF/Hdp19YTOSR6n6o
9gnsy7vbGRVRMUyWLOcs
=i78Z
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Sat, 18 Sep 2010 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Sat, 18 Sep 2010 12:18:03 GMT) Full text and rfc822 format available.

Message #32 received at 592768@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: 592768@bugs.debian.org
Subject: Re:clisp: SIGSEGV during install
Date: Sat, 18 Sep 2010 14:14:27 +0200
Hi,

Could the problem be that in the buggy cases the fas files had not
been rebuilt for the new clisp version?
It seems that clisp segfaults when loading
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas

macg4:/home/rbalint# apt-get install clisp
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
 cl-asdf common-lisp-controller libffcall1 libsigsegv0 realpath
Suggested packages:
 gdb clisp-doc clisp-dev slime
Recommended packages:
 sbcl lisp-compiler
The following NEW packages will be installed:
 cl-asdf clisp common-lisp-controller libffcall1 libsigsegv0 realpath
0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 5,371kB of archives.
After this operation, 14.0MB of additional disk space will be used.
Do you want to continue [Y/n]?
Get:1 http://ftp.hu.debian.org/debian/ squeeze/main libffcall1 powerpc
1.10+cvs20100619-2 [13.3kB]
Get:2 http://ftp.hu.debian.org/debian/ squeeze/main libsigsegv0
powerpc 2.5-3 [23.2kB]
Get:3 http://ftp.hu.debian.org/debian/ squeeze/main cl-asdf all
2:2.004-1 [503kB]
Get:4 http://ftp.hu.debian.org/debian/ squeeze/main realpath powerpc
1.15 [16.5kB]
Get:5 http://ftp.hu.debian.org/debian/ squeeze/main
common-lisp-controller all 7.4 [34.5kB]
Get:6 http://ftp.hu.debian.org/debian/ squeeze/main clisp powerpc
1:2.48-3 [4,781kB]
Fetched 5,371kB in 1min 25s (63.1kB/s)
Preconfiguring packages ...
Selecting previously deselected package libffcall1.
(Reading database ... 143130 files and directories currently installed.)
Unpacking libffcall1 (from .../libffcall1_1.10+cvs20100619-2_powerpc.deb) ...
Selecting previously deselected package libsigsegv0.
Unpacking libsigsegv0 (from .../libsigsegv0_2.5-3_powerpc.deb) ...
Selecting previously deselected package cl-asdf.
Unpacking cl-asdf (from .../cl-asdf_2%3a2.004-1_all.deb) ...
Selecting previously deselected package realpath.
Unpacking realpath (from .../realpath_1.15_powerpc.deb) ...
Selecting previously deselected package common-lisp-controller.
Unpacking common-lisp-controller (from
.../common-lisp-controller_7.4_all.deb) ...
Adding system user `cl-builder' (UID 111) ...
Adding new group `cl-builder' (GID 120) ...
Adding new user `cl-builder' (UID 111) with group `cl-builder' ...
Not creating home directory `/usr/share/common-lisp/'.
Selecting previously deselected package clisp.
Unpacking clisp (from .../clisp_1%3a2.48-3_powerpc.deb) ...
Processing triggers for install-info ...
Processing triggers for man-db ...
Setting up libffcall1 (1.10+cvs20100619-2) ...
Setting up libsigsegv0 (2.5-3) ...
Setting up realpath (1.15) ...
Setting up common-lisp-controller (7.4) ...
Reinstalling for clisp
Recompiling Common Lisp Controller for clisp
Installing clc...
;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...
;;  Loading file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
...
;;  Loaded file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas ...
WARNING: DEFGENERIC: redefining function SYSTEM-SOURCE-FILE in
        /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas,
was defined in top-level
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas ...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas
...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas
;; Loaded file /usr/lib/clisp-2.48/install-clc.lisp
;; Wrote the memory image into /usr/lib/clisp-2.48/full/lispinit.mem
(3,375,308 bytes)
Bytes permanently allocated:            108,736
Bytes currently in use:               3,259,760
Bytes available until next GC:          812,225
created /usr/lib/clisp-2.48/full/lispinit.mem as expected.
-rw-r--r-- 1 root root 3375308 Sep 13 22:47
/usr/lib/clisp-2.48/full/lispinit.mem

Done rebuilding
Setting up cl-asdf (2:2.004-1) ...
Reinstalling for clisp
Recompiling Common Lisp Controller for clisp
Installing clc...
;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...
;;  Loading file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
...
;;  Loaded file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas ...
WARNING: DEFGENERIC: redefining function SYSTEM-SOURCE-FILE in
        /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas,
was defined in top-level
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas ...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas
...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas
;; Loaded file /usr/lib/clisp-2.48/install-clc.lisp
;; Wrote the memory image into /usr/lib/clisp-2.48/full/lispinit.mem
(3,375,308 bytes)
Bytes permanently allocated:            108,736
Bytes currently in use:               3,259,760
Bytes available until next GC:          812,225
created /usr/lib/clisp-2.48/full/lispinit.mem as expected.
-rw-r--r-- 1 root root 3375308 Sep 13 22:48
/usr/lib/clisp-2.48/full/lispinit.mem

Done rebuilding
Setting up clisp (1:2.48-3) ...
Installing clc...
;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...
;;  Loading file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
...
;;  Loaded file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas ...
WARNING: DEFGENERIC: redefining function SYSTEM-SOURCE-FILE in
        /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas,
was defined in top-level
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas ...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas
...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas
;; Loaded file /usr/lib/clisp-2.48/install-clc.lisp
;; Wrote the memory image into /usr/lib/clisp-2.48/full/lispinit.mem
(3,376,096 bytes)
Bytes permanently allocated:            108,736
Bytes currently in use:               3,260,548
Bytes available until next GC:          812,422
created /usr/lib/clisp-2.48/full/lispinit.mem as expected.
-rw-r--r-- 1 root root 3376096 Sep 13 22:48
/usr/lib/clisp-2.48/full/lispinit.mem
macg4:/home/rbalint#




-- System Information:
Debian Release: squeeze/sid
 APT prefers testing
 APT policy: (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.32-5-powerpc
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages clisp depends on:
ii  common-lisp-controlle 7.4                Common Lisp source and compiler ma
ii  libc6                 2.11.2-2           Embedded GNU C Library: Shared lib
ii  libdb4.8              4.8.30-2           Berkeley v4.8 Database Libraries [
ii  libffcall1            1.10+cvs20100619-2 Foreign Function Call Libraries
ii  libncurses5           5.7+20100313-2     shared libraries for terminal hand
ii  libreadline5          5.2-7              GNU readline and history libraries
ii  libsigsegv0           2.5-3              Library for handling page faults i
ii  libx11-6              2:1.3.3-3          X11 client-side library
ii  libxau6               1:1.0.6-1          X11 authorisation library
ii  libxext6              2:1.1.2-1          X11 miscellaneous extension librar
ii  libxpm4               1:3.5.8-1          X11 pixmap library

clisp recommends no packages.

Versions of packages clisp suggests:
pn  clisp-dev                     <none>     (no description available)
pn  clisp-doc                     <none>     (no description available)
pn  gdb                           <none>     (no description available)
pn  slime                         <none>     (no description available)

-- no debconf information

Cheers,
Balint




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Wed, 22 Sep 2010 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to stef louise <stephane.r.louise@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Wed, 22 Sep 2010 19:57:02 GMT) Full text and rfc822 format available.

Message #37 received at 592768@bugs.debian.org (full text, mbox):

From: stef louise <stephane.r.louise@gmail.com>
To: Peter Van Eynde <pvaneynd@mailworks.org>
Cc: 592768@bugs.debian.org
Subject: Re: Bug#592768: complementary information
Date: Wed, 22 Sep 2010 21:53:22 +0200
I may have some time to check it by the end of the week. I know how to
compile stuff, even quite complex projects, but I'm quite unfamiliar
with git (even though I shouldn't), and I don't know where to find
your git repository (googled a lil' bit but wrong keywords, I guess).

Stéphane

2010/9/17 Peter Van Eynde <pvaneynd@mailworks.org>:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
> Hello Stef,
>
> On 16/09/10 21:57, stef louise wrote:
>> /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
>> *** - handle_fault error2 ! address = 0x77dc3ba0 not in
>> [0x699c60d8,0x69aa3000) !
>
> I have a new clisp version prepared with a new upstream version that
> builds correctly on the build-machine I tried.
>
> You can either try the pvaneynd branch in the git repository or wait
> until I have some time to prepare and upload to experimental.
>
> Best regards, Peter
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (Darwin)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>
> iQIcBAEBCAAGBQJMkvrQAAoJEB4VNT76eIla+4IQAIhEVVtx+6w6iYJrQKZl5tPE
> giEoX9w3Q8+65dkuQHh+9ndw3wj+WU3r0YsbrBh67WMLYMg3UKnGijtqd7i6uZmJ
> oKnCblYT79G2yGmVtV7AkGjOVU7FVmcIicEgULKZ0plGmsD4RYLoqiEPK61lqEHS
> zfb7vfXNVUZbc0HjP8Guez9/gW4+jxYnpOixq9G5ctTwD/P+405qFkth7ZFAojcI
> B7a1QmP5VmmSu+LDiAp8N/3zll4qkIjCq8RphChKIJ6d0fGJ8hmHPfNremnI3YG/
> RE0FMG/9fkQ+RK0Y+8v6L8+3GjFvlroWvJIQdIkyLJSmgo4TMIABBATQxrtuQwmO
> rkdDwLbXAxY3uD1CI6ueAobDYUdDqSCJfqj6fkNbY2i+ktrYJNUxwSEDuB5Axhoz
> H4jP2F0ZfTZ/HoALk8d97QNoLlfxGJJb+uhWeOXB4zB1J+ttJiMxyZKwuEM/HNUc
> 5j9qxpcIGuyMtwSbCyTtkRLM0yhkW8eMF54mmHH4fzr6jqMo1fDsSF3MINNi4Nfs
> nEDRrJHwPptJqnAATBTUZTQO8FkvPXnLbDSzgRd/sy/qNgNu4DruEmroD7E1nSTg
> drindQSzPTr/KT1Jq0Nrg68UQFPCy262D/4nJOLstK2Lm6rbF/Hdp19YTOSR6n6o
> 9gnsy7vbGRVRMUyWLOcs
> =i78Z
> -----END PGP SIGNATURE-----
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Wed, 22 Sep 2010 20:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to stef louise <stephane.r.louise@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Wed, 22 Sep 2010 20:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Mon, 27 Sep 2010 18:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Mon, 27 Sep 2010 18:21:08 GMT) Full text and rfc822 format available.

Message #47 received at 592768@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: stef louise <stephane.r.louise@gmail.com>
Cc: 592768@bugs.debian.org
Subject: Re: Bug#592768: complementary information
Date: Mon, 27 Sep 2010 20:16:15 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hello Stef,

On 22/09/10 21:53, stef louise wrote:
> I may have some time to check it by the end of the week. I know how to
> compile stuff, even quite complex projects, but I'm quite unfamiliar
> with git (even though I shouldn't), and I don't know where to find
> your git repository (googled a lil' bit but wrong keywords, I guess).

You can do:

git clone http://git.debian.org/git/pkg-common-lisp/clisp.git
git checkout pvaneynd
LC_ALL=C LANG=C git-buildpackage -uc -us --git-debian-branch=pvaneynd

that should just work (TM).

Best regards, Peter

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJMoN9sAAoJEB4VNT76eIlaFW0P/RAK0+hm+WY0wxEb/1ZOUONA
AxuXVgn1FsCn9jGzcDuUVYGAVg6fWi93PWlTaX/qPuzOMku3E6N9sZcm3ajRx2Px
c/zrS6DAgVwK8OYvofIIwXiyBWX9jwzvNfqIbBTLuAPrp2kEAjJq+31BxZXR9+un
H/teNt21vaZwlRCA2URWKOQvnwHeBv0aJqG/wPBycIEbGw/zi8h8uXHFLuQoMlBl
n1Dp34InDB3YVx/2t5NTKqbEhsMC6N8wHubd3Cb04gyUWBTxrRte386MqA3zTnS+
mbo0fiyh2qHjZBDphoSsUJJzge/v9NOrrevof6+ZvK6k2ns5utOOKYR+PluGWNEn
J5qKh6q8CZ5UEr1tCx+XNK/yrwvstLy1UrOPgi6U7K6ZivDPzbxhNkjomZ7Hewec
3itKo5Ojr/ETfn9sDvqFf4bSzPPbMO89Rh/GIUs/E7tTlmtdhoT6/KubSHg+yKvc
4flfF4/pYIm2fP0ssUfHR8gB17dc8c6Wti+LObwXir/kAdMRnllUqWG2/rg3pkgY
UCR7ORlOC/a3ctlg4h/wiFykXOgRPX/FOYyZly6pZKbAjghT9lOrGmaEWsD/BR7j
knDsiVHyZROc9UDEOCTbhjw+99kbTy1QLZGs3wqzd6CBlGJiDXslWl1Mll3gVgo5
AS4li1ASyT8iALe2RRGV
=5PZM
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Fri, 01 Oct 2010 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to stef louise <stephane.r.louise@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Fri, 01 Oct 2010 20:18:03 GMT) Full text and rfc822 format available.

Message #52 received at 592768@bugs.debian.org (full text, mbox):

From: stef louise <stephane.r.louise@gmail.com>
To: Peter Van Eynde <pvaneynd@debian.org>
Cc: 592768@bugs.debian.org
Subject: Re: Bug#592768: complementary information
Date: Fri, 1 Oct 2010 22:15:40 +0200
This was a little tricky. I successfully built and installed
libsigsegv2_2.8 binary+dev
Then the git build-package was successful, nonetheless it is uninstallable:

# LANG=C dpkg -i ../clisp_2.49-1_powerpc.deb
(Reading database ... 203838 files and directories currently installed.)
Preparing to replace clisp 1:2.49-1 (using ../clisp_2.49-1_powerpc.deb) ...
Unpacking replacement clisp ...
Setting up clisp (1:2.49-1) ...
Installing clc...
rebuilding /usr/lib/clisp-2.49/base/lispinit.mem from
/usr/lib/clisp-2.49/base/lispinit-orig.mem
;; Loading file /usr/lib/clisp-2.49/install-clc.lisp ...
;;  Loading file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
...
;;  Loaded file
/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
;;  Loading file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
...
;;  Loaded file
/var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fasSegmentation
fault
Building of new image failed!
dpkg: error processing clisp (--install):
 subprocess installed post-installation script returned error exit status 4
Processing triggers for man-db ...
Errors were encountered while processing:
 clisp
#

Any idea? Something to try in order to help?

2010/9/27 Peter Van Eynde <pvaneynd@debian.org>:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
> Hello Stef,
>
> On 22/09/10 21:53, stef louise wrote:
>> I may have some time to check it by the end of the week. I know how to
>> compile stuff, even quite complex projects, but I'm quite unfamiliar
>> with git (even though I shouldn't), and I don't know where to find
>> your git repository (googled a lil' bit but wrong keywords, I guess).
>
> You can do:
>
> git clone http://git.debian.org/git/pkg-common-lisp/clisp.git
> git checkout pvaneynd
> LC_ALL=C LANG=C git-buildpackage -uc -us --git-debian-branch=pvaneynd
>
> that should just work (TM).
>
> Best regards, Peter
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (Darwin)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>
> iQIcBAEBCAAGBQJMoN9sAAoJEB4VNT76eIlaFW0P/RAK0+hm+WY0wxEb/1ZOUONA
> AxuXVgn1FsCn9jGzcDuUVYGAVg6fWi93PWlTaX/qPuzOMku3E6N9sZcm3ajRx2Px
> c/zrS6DAgVwK8OYvofIIwXiyBWX9jwzvNfqIbBTLuAPrp2kEAjJq+31BxZXR9+un
> H/teNt21vaZwlRCA2URWKOQvnwHeBv0aJqG/wPBycIEbGw/zi8h8uXHFLuQoMlBl
> n1Dp34InDB3YVx/2t5NTKqbEhsMC6N8wHubd3Cb04gyUWBTxrRte386MqA3zTnS+
> mbo0fiyh2qHjZBDphoSsUJJzge/v9NOrrevof6+ZvK6k2ns5utOOKYR+PluGWNEn
> J5qKh6q8CZ5UEr1tCx+XNK/yrwvstLy1UrOPgi6U7K6ZivDPzbxhNkjomZ7Hewec
> 3itKo5Ojr/ETfn9sDvqFf4bSzPPbMO89Rh/GIUs/E7tTlmtdhoT6/KubSHg+yKvc
> 4flfF4/pYIm2fP0ssUfHR8gB17dc8c6Wti+LObwXir/kAdMRnllUqWG2/rg3pkgY
> UCR7ORlOC/a3ctlg4h/wiFykXOgRPX/FOYyZly6pZKbAjghT9lOrGmaEWsD/BR7j
> knDsiVHyZROc9UDEOCTbhjw+99kbTy1QLZGs3wqzd6CBlGJiDXslWl1Mll3gVgo5
> AS4li1ASyT8iALe2RRGV
> =5PZM
> -----END PGP SIGNATURE-----
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Sun, 03 Oct 2010 18:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Sun, 03 Oct 2010 18:42:07 GMT) Full text and rfc822 format available.

Message #57 received at 592768@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: 592768@bugs.debian.org
Subject: Re: Re: Bug#592768: complementary information
Date: Sun, 3 Oct 2010 20:40:25 +0200
Hi,

I tried to reproduce the problem on my G4 box with 32 bit powerpc
kernel, but clisp installed fine.
As I saw the segfault happened with 64 kernels only.
Did the install work with older (/newer) 64 bit kernels?
Does the install work with a 32 bit kernel on your machine?

Cheers,
Balint




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 03 Oct 2010 19:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Wed, 06 Oct 2010 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Wed, 06 Oct 2010 05:27:04 GMT) Full text and rfc822 format available.

Message #64 received at 592768@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: stef louise <stephane.r.louise@gmail.com>
Cc: 592768@bugs.debian.org
Subject: Re: Bug#592768: complementary information
Date: Wed, 06 Oct 2010 07:22:49 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hello Stef,

On 01/10/10 22:15, stef louise wrote:
> This was a little tricky. I successfully built and installed
> libsigsegv2_2.8 binary+dev
> Then the git build-package was successful, nonetheless it is uninstallable:
> 
> # LANG=C dpkg -i ../clisp_2.49-1_powerpc.deb
...
> /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fasSegmentation
> fault

We need to find where it is failing.

Could you rebuild the clisp image with --debug in the configure flags
and then run clisp in gdb to see where it fails?

LC_ALL=C LANG=C sudo gdb /usr/bin/clisp
...
run  -norc -q -M /usr/lib/clisp-2.49/full/lispinit-orig.mem
....
[1]> (progn
      (when (find-package :c-l-c)
        (delete-package :c-l-c))
      (load "/usr/lib/clisp-2.49/install-clc.lisp")
      (saveinitmem "/usr/lib/clisp-2.49/full/lispinit.mem"))

then get a backtrace of the failure.

Best regards, Peter

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJMrAenAAoJEB4VNT76eIlaQKkP/1mdB8k+2ndfoc46NsLewnDl
75I7g3PDqwXSmrygZoscSgzxbHmzJG5pYCnA0iQ8BxLzRDmcIio/IG07g9w+pWcR
ja7hBKY8JfL6f1pPZsZR7uprz9jHPGOqTUCJTMMYnzrCmdCc63HRefkYE85cL6RX
Cr5IgK45lQB80Q7w7aCXLgtm1tfYCfD4Xp+9qGGOpR55wndcOyWnD0CVaTVbSMzE
yLozzPFRxgwc1Baq/CqltfVXuBG2lY87UJyqGY0oKN25ACx6tiAqB6oKD8mlFolD
VzGbuTJ+0+05qwNDNxTmbUTyHIO5SI6Up3juiyv8EQ5X5LED3xJBdO5zvlRr2T4A
DtY8cfHZTVVI6sR2srtsYuwTmp04RCNiW1EGVMSMNzpIvnawgHG5grG8dWqGXNPk
iDrNZA3rC/gMeezQ8su8QSryZZDQIa2H2VICDX95ryS7XtBMAiAnXm4IoSG5sfiJ
9RRXfmM5gPWUdH98ZPu7Z8n/4DBl7IsKRDw2KNRlNkvY8oOceafF3bjA2PCMoyJE
kqxkYUoLg1ywtoJ4UW22TZRdxsCeQhVL51nr9gV3F12XeCHHCMXc++8NNUV5kv2R
YHsRB2qLZ+iL+KUGZtxdAviwHIVjhkHFkHhXlZlAB4vk80lj50l4ImB1mh4z/3mL
z89LjJ08wBjLhLU/dFoT
=iME4
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Thu, 07 Oct 2010 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to stef louise <stephane.r.louise@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Thu, 07 Oct 2010 19:54:03 GMT) Full text and rfc822 format available.

Message #69 received at 592768@bugs.debian.org (full text, mbox):

From: stef louise <stephane.r.louise@gmail.com>
To: Peter Van Eynde <pvaneynd@debian.org>
Cc: 592768@bugs.debian.org
Subject: Re: Bug#592768: complementary information
Date: Thu, 7 Oct 2010 21:51:29 +0200
Right here is the diagnostic of why it fails:

Compiled the stuff with CFLAGS=-g to trace the execution. Here is my diagnostic:

run -B . -N locale -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc -m 2MW -lp
 -x '(and (load "init.lisp") (sys::%saveinitmem) (ext::exit))
(ext::exit t)'
Starting program: /home/luigi/comp/dev/clisp/src/lisp.run -B . -N
locale -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc -m 2MW -lp  -x '(and
(load "init.lisp") (sys::%saveinitmem) (ext::exit)) (ext::exit t)'
  i i i i i i i       ooooo    o        ooooooo   ooooo   ooooo
  I I I I I I I      8     8   8           8     8     o  8    8
  I  \ `+' /  I      8         8           8     8        8    8
   \  `-+-'  /       8         8           8      ooooo   8oooo
    `-__|__-'        8         8           8           8  8
        |            8     o   8           8     o     8  8
  ------+------       ooooo    8oooooo  ooo8ooo   ooooo   8

Welcome to GNU CLISP 2.49 (2010-07-07) <http://clisp.cons.org/>

Copyright (c) Bruno Haible, Michael Stoll 1992, 1993
Copyright (c) Bruno Haible, Marcus Daniels 1994-1997
Copyright (c) Bruno Haible, Pierpaolo Bernardi, Sam Steingold 1998
Copyright (c) Bruno Haible, Sam Steingold 1999-2000
Copyright (c) Sam Steingold, Bruno Haible 2001-2010

Type :h and hit Enter for context help.

;; Loading file defseq.lisp ...
;; Loaded file defseq.lisp
;; Loading file backquote.lisp ...
;; Loaded file backquote.lisp
Program received signal SIGSEGV, Segmentation fault.
gc_morris2 () at spvw_garcol.d:404
404	        var object next_obj = *(gcv_object_t*)p;
(gdb) bt
#0  gc_morris2 () at spvw_garcol.d:404
#1  gar_col_normal () at spvw_garcol.d:2327
#2  0x10028158 in do_gar_col_simple () at spvw_garcol.d:3028
#3  0x100eecd8 in with_gc_statistics (fun=0x10028110
<do_gar_col_simple>) at predtype.d:3162
#4  0x10020adc in gar_col_simple (need=184, heapptr=<value optimized
out>) at spvw_garcol.d:3036
#5  make_space_gc_true (need=184, heapptr=<value optimized out>) at
spvw_allocate.d:282
#6  0x10022028 in allocate_xrecord_ (flags_rectype=38, reclen=22,
recxlen=88) at spvw_typealloc.d:428
#7  0x100244a8 in allocate_stream (strmflags=<value optimized out>,
strmtype=12 '\f',
    reclen=<value optimized out>, recxlen=<value optimized out>) at
spvw_typealloc.d:445
#8  0x10074404 in make_buffered_stream (type=<value optimized out>,
direction=DIRECTION_INPUT_IMMUTABLE,
    eltype=0xffff6440, handle_regular=true,
handle_blockpositioning=true) at stream.d:7928
#9  0x10075708 in make_file_stream
(direction=DIRECTION_INPUT_IMMUTABLE, append_flag=false,
handle_fresh=true)
    at stream.d:8143
#10 0x10057448 in open_file (filename=<value optimized out>,
direction=DIRECTION_INPUT_IMMUTABLE,
    if_exists=647131784, if_not_exists=<value optimized out>) at pathname.d:6872
#11 0x10057648 in C_open () at pathname.d:6916
#12 0x1002fafc in eval_fsubr (form=0x69a102c3) at eval.d:3263
#13 eval1 (form=0x69a102c3) at eval.d:3101
#14 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#15 0x1003191c in funcall_iclosure (closure=<value optimized out>,
args_pointer=0xf7d5129c, argcount=1)
    at eval.d:2744
#16 0x1003bb68 in eval_closure (closure=<value optimized out>) at eval.d:3935
#17 0x1002fdb8 in eval1 (form=0x69a0f9bb) at eval.d:3091
#18 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#19 0x10047c34 in C_setq () at control.d:199
#20 0x1002fafc in eval_fsubr (form=0x69a0fa0b) at eval.d:3263
#21 eval1 (form=0x69a0fa0b) at eval.d:3101
#22 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#23 0x1003fecc in C_if () at control.d:1200
#24 0x1002fafc in eval_fsubr (form=0x69a0fa1b) at eval.d:3263
#25 eval1 (form=0x69a0fa1b) at eval.d:3101
#26 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#27 0x100439cc in C_tagbody () at control.d:1645
#28 0x1002fafc in eval_fsubr (form=0x69a0fd3b) at eval.d:3263
#29 eval1 (form=0x69a0fd3b) at eval.d:3101
#30 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#31 0x10047138 in C_labels () at control.d:1031
#32 0x1002fafc in eval_fsubr (form=0x69a0d1db) at eval.d:3263
#33 eval1 (form=0x69a0d1db) at eval.d:3101
#34 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#35 0x100449e8 in C_block () at control.d:1318
#36 0x1002fafc in eval_fsubr (form=0x69a0d1bb) at eval.d:3263
#37 eval1 (form=0x69a0d1bb) at eval.d:3101
#38 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#39 0x1003191c in funcall_iclosure (closure=<value optimized out>,
args_pointer=0xf7d51154, argcount=3)
    at eval.d:2744
#40 0x1003bb68 in eval_closure (closure=<value optimized out>) at eval.d:3935
#41 0x1002fdb8 in eval1 (form=0x69a0f293) at eval.d:3091
#42 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#43 0x1004536c in C_multiple_value_setq () at control.d:1894
#44 0x1002fafc in eval_fsubr (form=0x69a0f2b3) at eval.d:3263
#45 eval1 (form=0x69a0f2b3) at eval.d:3101
#46 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#47 0x1003191c in funcall_iclosure (closure=<value optimized out>,
args_pointer=0x101fc15d,
    argcount=1772146296) at eval.d:2744
#48 0x1003bb68 in eval_closure (closure=<value optimized out>) at eval.d:3935
#49 0x1002fdb8 in eval1 (form=0x69a048c3) at eval.d:3091
#50 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#51 0x10030d7c in eval_5env (form=<value optimized out>,
var_env=<value optimized out>,
    fun_env=<value optimized out>, block_env=<value optimized out>,
go_env=<value optimized out>,
    decl_env=<value optimized out>) at eval.d:1087
#52 0x100e1ed8 in C_load () at debug.d:606
#53 0x1002fafc in eval_fsubr (form=0x69a3126b) at eval.d:3263
#54 eval1 (form=0x69a3126b) at eval.d:3101
#55 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#56 0x1003fc58 in C_and () at control.d:2479
#57 0x1002fafc in eval_fsubr (form=0x69a31273) at eval.d:3263
#58 eval1 (form=0x69a31273) at eval.d:3101
#59 0x10030bbc in eval (form=<value optimized out>) at eval.d:2966
#60 0x100e32c0 in C_read_eval_print () at debug.d:409
#61 0x1002ca1c in funcall_subr (fun=0x101f595e, args_on_stack=<value
optimized out>) at eval.d:5227
#62 0x100e24f0 in driver () at debug.d:490
#63 0x100293b8 in main_actions (p=<value optimized out>) at spvw.d:3632
#64 0x1002a914 in main (argc=17, argv=0xffffe1d8) at spvw.d:3885
(gdb) info registers
r0             0xf7d511fb	4157936123
r1             0xffff5e30	4294925872
r2             0xf7fcd4a0	4160541856
r3             0x26927288	647131784
r4             0x69a36000	1772314624
r5             0x1020b620	270579232
r6             0x1	1
r7             0x69a36000	1772314624
r8             0x69a04898	1772112024
r9             0x77d511f8	2010452472
r10            0x69a21310	1772229392
r11            0x69a21313	1772229395
r12            0x1	1
r13            0x10213544	270611780
r14            0x2	2
r15            0x1020a5bc	270575036
r16            0x101fc15d	270516573
r17            0x10210000	270598144
r18            0x69a36000	1772314624
r19            0x268d9000	646811648
r20            0xffff5e40	4294925888
r21            0x1020b594	270579092
r22            0x100161b0	268526000
r23            0x1020b668	270579304
r24            0x2	2
r25            0x69a36000	1772314624
r26            0x26927288	647131784
r27            0x26927288	647131784
r28            0xffff5ea0	4294925984
r29            0x1020a5bc	270575036
r30            0x1020b610	270579216
r31            0xffff5e70	4294925936
pc             0x100274e0	0x100274e0 <gar_col_normal+6784>
msr            0xd032	53298
cr             0x48022448	1208099912
lr             0x10027400	0x10027400 <gar_col_normal+6560>
ctr            0x10027c2c	268598316
xer            0x20000000	536870912
orig_r3        0x0	0
trap           0x300	768
info line *0x100274e0
Line 404 of "spvw_garcol.d" starts at address 0x100274e0 <gar_col_normal+6784>
   and ends at 0x100274e4 <gar_col_normal+6788>.
(gdb) disas 0x100274e0 0x100274e4
Dump of assembler code from 0x100274e0 to 0x100274e4:
0x100274e0 <gar_col_normal+6784>:	lwz     r0,0(r9)
End of assembler dump.
(gdb) x /1w 0x77d511f8
0x77d511f8:	Cannot access memory at address 0x77d511f8
(gdb) list *0x100274e0
0x100274e0 is in gar_col_normal (spvw_garcol.d:404).
399	     #else  /* no TYPECODES */
400	      /* the so far registered pointers to this cell are updated: */
401	      while ((as_oint(obj) & wbit(garcol_bit_o)) != 0) { /* process list */
402	        obj = without_mark_bit(obj);
403	        var aint p = (aint)ThePointer(obj);
404	        var object next_obj = *(gcv_object_t*)p;
405	        *(gcv_object_t*)p = as_object((as_oint(obj) &
nonimmediate_bias_mask) | (oint)p2);
406	        obj = next_obj;
407	      }
408	      /* if the cell contains a pointer "to the right", it is reversed. */
(gdb) print obj
$3 = (object) 0xf7d511fb
(gdb) disas 0x10027400 0x10027500
Dump of assembler code from 0x100274b0 to 0x10027500:
0x100274b0 <gar_col_normal+6736>:	lwz     r10,48(r30)
0x100274b4 <gar_col_normal+6740>:	cmpw    cr7,r8,r7
0x100274b8 <gar_col_normal+6744>:	add     r10,r8,r10
0x100274bc <gar_col_normal+6748>:	beq     cr7,0x10027510 <gar_col_normal+6832>
0x100274c0 <gar_col_normal+6752>:	lwz     r0,0(r8)
0x100274c4 <gar_col_normal+6756>:	cmpwi   cr7,r0,0
0x100274c8 <gar_col_normal+6760>:	beq     cr7,0x10027504 <gar_col_normal+6820>
0x100274cc <gar_col_normal+6764>:	bge     cr7,0x100274f0 <gar_col_normal+6800>
0x100274d0 <gar_col_normal+6768>:	rlwinm  r9,r0,0,1,29
0x100274d4 <gar_col_normal+6772>:	clrlwi  r11,r0,1
0x100274d8 <gar_col_normal+6776>:	clrlwi  r11,r11,30
0x100274dc <gar_col_normal+6780>:	or      r11,r11,r10
0x100274e0 <gar_col_normal+6784>:	lwz     r0,0(r9)
0x100274e4 <gar_col_normal+6788>:	stw     r11,0(r9)
0x100274e8 <gar_col_normal+6792>:	cmpwi   cr7,r0,0
0x100274ec <gar_col_normal+6796>:	blt     cr7,0x100274d0 <gar_col_normal+6768>
0x100274f0 <gar_col_normal+6800>:	clrlwi  r9,r0,29
0x100274f4 <gar_col_normal+6804>:	cmpwi   cr7,r9,3
0x100274f8 <gar_col_normal+6808>:	beq     cr7,0x100279b0 <gar_col_normal+8016>
0x100274fc <gar_col_normal+6812>:	stw     r0,0(r8)
End of assembler dump.
(gdb)

So, as you can see, the main loop of the while (line 401-407 of source
code) is translated by the assembly loop from 0x100274d0 to 0x100274ec
(only for one of the two conditions, but whatever -- the first test
obj!=NULL is in 0x100274c4). The local variable "p" is in register
"r9", and as you can see, "obj" is "r0". I don't know what is supposed
to do the cast(?) in line 403 but it is translated in assembly at
address 0x100274d0: what do this "rlwinm" instruction is to drop the
first and the 2 last bits of the value of "r0" and put it in "r9".

Hence, the value of "r0" is 0xf7d511fb and a logical consequence is
that r9 is 0x77d511f8.

I suspect that the intended action would be to only cast the two last
bits of "obj" for alining on a 32bit boundary.
(gdb) x /1w 0xf7d511f8
0xf7d511f8:	270516573

So it would be a valid address contrary to 0x77d511f8. So I suspect a
bad macro or function in line 403. You may want to know that PPC
architecture is very different than x86 for much more than endianness
(e.g. char are unsigned by default with gcc gnu/linux-ppc).

Is the information suffisant?

Stéphane




Reply sent to Peter Van Eynde <pvaneynd@debian.org>:
You have taken responsibility. (Thu, 28 Oct 2010 11:51:38 GMT) Full text and rfc822 format available.

Notification sent to Len Sorensen <lennartsorensen@ruggedcom.com>:
Bug acknowledged by developer. (Thu, 28 Oct 2010 11:51:39 GMT) Full text and rfc822 format available.

Message #74 received at 592768-close@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: 592768-close@bugs.debian.org
Subject: Bug#592768: fixed in clisp 1:2.49-1
Date: Thu, 28 Oct 2010 11:47:19 +0000
Source: clisp
Source-Version: 1:2.49-1

We believe that the bug you reported is fixed in the latest version of
clisp, which is due to be installed in the Debian FTP archive:

clisp-dev_2.49-1_amd64.deb
  to main/c/clisp/clisp-dev_2.49-1_amd64.deb
clisp-doc_2.49-1_all.deb
  to main/c/clisp/clisp-doc_2.49-1_all.deb
clisp-module-berkeley-db_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-berkeley-db_2.49-1_amd64.deb
clisp-module-bindings-glibc_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-bindings-glibc_2.49-1_amd64.deb
clisp-module-clx_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-clx_2.49-1_amd64.deb
clisp-module-dbus_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-dbus_2.49-1_amd64.deb
clisp-module-gdbm_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-gdbm_2.49-1_amd64.deb
clisp-module-pcre_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-pcre_2.49-1_amd64.deb
clisp-module-postgresql_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-postgresql_2.49-1_amd64.deb
clisp-module-rawsock_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-rawsock_2.49-1_amd64.deb
clisp-module-wildcard_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-wildcard_2.49-1_amd64.deb
clisp-module-zlib_2.49-1_amd64.deb
  to main/c/clisp/clisp-module-zlib_2.49-1_amd64.deb
clisp_2.49-1.diff.gz
  to main/c/clisp/clisp_2.49-1.diff.gz
clisp_2.49-1.dsc
  to main/c/clisp/clisp_2.49-1.dsc
clisp_2.49-1_amd64.deb
  to main/c/clisp/clisp_2.49-1_amd64.deb
clisp_2.49.orig.tar.gz
  to main/c/clisp/clisp_2.49.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592768@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Van Eynde <pvaneynd@debian.org> (supplier of updated clisp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 28 Sep 2010 07:31:59 +0200
Source: clisp
Binary: clisp clisp-dev clisp-doc clisp-module-berkeley-db clisp-module-pcre clisp-module-bindings-glibc clisp-module-postgresql clisp-module-clx clisp-module-rawsock clisp-module-dbus clisp-module-wildcard clisp-module-gdbm clisp-module-zlib
Architecture: source all amd64
Version: 1:2.49-1
Distribution: experimental
Urgency: low
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Changed-By: Peter Van Eynde <pvaneynd@debian.org>
Description: 
 clisp      - GNU CLISP, a Common Lisp implementation
 clisp-dev  - GNU CLISP, a Common Lisp implementation (development files)
 clisp-doc  - GNU CLISP, a Common Lisp implementation (documentation)
 clisp-module-berkeley-db - clisp module that adds an interface to Berkeley DB
 clisp-module-bindings-glibc - clisp module that adds the glibc bindings
 clisp-module-clx - clisp module that adds X11 bindings
 clisp-module-dbus - clisp module that adds an interface to D-Bus
 clisp-module-gdbm - clisp module that adds an interface to GNU DBM
 clisp-module-pcre - clisp module that adds libpcre support
 clisp-module-postgresql - clisp module that adds a PostgreSQL interface
 clisp-module-rawsock - clisp module that adds a low level socket interface
 clisp-module-wildcard - clisp module that adds wildcard matching
 clisp-module-zlib - clisp module that adds zlib support for vectors
Closes: 177057 433592 433596 443520 462085 462088 462742 488042 504514 530054 553741 566686 592768
Changes: 
 clisp (1:2.49-1) experimental; urgency=low
 .
   * Use libsigsegv 2.8 should fix a few issues. (Closes: 566686)
   * conflict against libreadline6 as it would be illegal to link
     against that. (Closes: 553741)
   * Use bash for clisp-link (Closes: #530054)
   * New upstream version (Closes: #462742)3
   * Redid debianization from scratch.
     (Closes: #504514,#177057,#462085, #488042, #462088, #433592, #433596)
   * Dropped conflicts with ancient versions of clisp.
   * Changed build system on powerpc, the resulting image
     passes all tests, so should Closes: #592768
   * We got a fix the 'file with wrong *pathname-encoding* in ~/' bug.
     (Closes: #443520)
   * Fix the build on Sparc by disabling FFI and dynamic modules completely.
Checksums-Sha1: 
 0451cea640ffe4279a7a96331724f032f57a7833 2667 clisp_2.49-1.dsc
 610417bf62c7435f34232ca949552762e561daee 9788926 clisp_2.49.orig.tar.gz
 f73db6caee279a4fd157f5277d95e0e717a11178 23597 clisp_2.49-1.diff.gz
 a6f68198b37b50906c377f50a5e50c71b561403b 1244882 clisp-doc_2.49-1_all.deb
 fac699d6ae1d3760adc1e33360d9e757082be368 3136780 clisp_2.49-1_amd64.deb
 bb16f2dedc0cc888c5615f1df1d4c7cf46af04bf 1645994 clisp-dev_2.49-1_amd64.deb
 39f5dda2bac8058da968f895fe317eae05669c2c 712776 clisp-module-berkeley-db_2.49-1_amd64.deb
 46aa1972a693163d18e7092c17f3febd45fa142a 628006 clisp-module-pcre_2.49-1_amd64.deb
 b9c1fd9db3ddede7bfb92a927e0c1b7cbdccafef 743310 clisp-module-bindings-glibc_2.49-1_amd64.deb
 7a4ba7770458cec98aff0a4207c7036453817bd0 644638 clisp-module-postgresql_2.49-1_amd64.deb
 f23ebd707c87acd1c1f2eafc4e311ccdf9b8c183 944360 clisp-module-clx_2.49-1_amd64.deb
 4cdc28e1afd62a12e7967599db3a27087f76f649 663550 clisp-module-rawsock_2.49-1_amd64.deb
 9691068f20b95531d3d6c53dee5ae07d6f14f908 681240 clisp-module-dbus_2.49-1_amd64.deb
 47a4b8b13407791a9f1a012dbf0786a2b2149d3c 610170 clisp-module-wildcard_2.49-1_amd64.deb
 73ee8221a6780241237d58a0daa7f1745ecab06f 631918 clisp-module-gdbm_2.49-1_amd64.deb
 eb9c75cab3cb3cf9b72f8f00b8e437c2ffbe4bfa 611068 clisp-module-zlib_2.49-1_amd64.deb
Checksums-Sha256: 
 a199b4c5de91e638e87323c4fd1d40f7d733b5f3dd8547c6a5ff453bd03e8c3e 2667 clisp_2.49-1.dsc
 4a08b272e03855bfddc8498d86b928def59760bb36804de3f917215ab7b90a90 9788926 clisp_2.49.orig.tar.gz
 d847f0613f8f77a24f7f250879c4eaa14e7fe5f713b8e50539c66debf04f0a1f 23597 clisp_2.49-1.diff.gz
 a325fa32dc6d2482b67f2876cfbc84cff2aa92457e1984343be6ce334ce87df6 1244882 clisp-doc_2.49-1_all.deb
 b32addad5768566694667811f36eb9dbe844990b0400c6f754ee45b543f7cba2 3136780 clisp_2.49-1_amd64.deb
 b7f17e9f7e8df81603db3c65c9f325c28a4cdd465f9ce1186d5eaca6876e678b 1645994 clisp-dev_2.49-1_amd64.deb
 2e5a45f87c0682202dae4cbb07721cb39d17e3180bc15d80ed67b61828add4a2 712776 clisp-module-berkeley-db_2.49-1_amd64.deb
 8ca32ff91bda9c0f7d4b89908c320336d3a411e25f603bd4dadab0e0b5526652 628006 clisp-module-pcre_2.49-1_amd64.deb
 9b05617e3bd93e616522a48290dbda9af02266cf808d4e9ecbd6833823643228 743310 clisp-module-bindings-glibc_2.49-1_amd64.deb
 7966c28edd56f59649663775dbe7091b1494a00f7fc40c55dd0bfc6f17318fbb 644638 clisp-module-postgresql_2.49-1_amd64.deb
 fbbc38da3f02f27768809bf6a1f3d3f56b213e5009df47beda291107a50b9e36 944360 clisp-module-clx_2.49-1_amd64.deb
 84f2959efc401bb8caffca73d0e2a046a71e5e4d07e155cae32a94c75ec83196 663550 clisp-module-rawsock_2.49-1_amd64.deb
 4b5a782cf31d17faccdda327450240e0a826d64cdff0f8bc05ee256c5d771fbb 681240 clisp-module-dbus_2.49-1_amd64.deb
 07e2d0749ab28b8e4e6a1b236adf47f4a481b8a98d67647f3d06c9cb92ad42f1 610170 clisp-module-wildcard_2.49-1_amd64.deb
 b27484eb5c335cf1125889a9747dd4e8b354bdbc5bc9dd9ead765c2012976395 631918 clisp-module-gdbm_2.49-1_amd64.deb
 5780d29d8022079ab1a48ba5020a846a7a1729fe8f59e2f1f85e2f629928c922 611068 clisp-module-zlib_2.49-1_amd64.deb
Files: 
 261dc39e0989313930b5034eee0ea92f 2667 lisp optional clisp_2.49-1.dsc
 f57951d59ac068faf44767fa5fa5122c 9788926 lisp optional clisp_2.49.orig.tar.gz
 1370c6e871f5cb0c0eaf54dad85b784f 23597 lisp optional clisp_2.49-1.diff.gz
 52d73e36467c2bb9784863982e004ee6 1244882 doc optional clisp-doc_2.49-1_all.deb
 4f100eb47c5dfa71e13b1a503676f428 3136780 lisp optional clisp_2.49-1_amd64.deb
 f54939231463e3f473541315561295ae 1645994 lisp optional clisp-dev_2.49-1_amd64.deb
 2b3359badec4c17dbd292d36c3b636f8 712776 lisp optional clisp-module-berkeley-db_2.49-1_amd64.deb
 3846a9d190fb7c7394acfbda2f2ab7c5 628006 lisp optional clisp-module-pcre_2.49-1_amd64.deb
 a2b0dea7bff2517a19f4a366aaefe500 743310 lisp optional clisp-module-bindings-glibc_2.49-1_amd64.deb
 5172c9204e48ec2fa00549c9fd52a765 644638 lisp optional clisp-module-postgresql_2.49-1_amd64.deb
 b5ab3ed2cad59794e77cad76f1857ed0 944360 lisp optional clisp-module-clx_2.49-1_amd64.deb
 0a28cc375dbc8c26989e99e76dd76f40 663550 lisp optional clisp-module-rawsock_2.49-1_amd64.deb
 e12fade57962d02c0b2d29bb5681bf3b 681240 lisp optional clisp-module-dbus_2.49-1_amd64.deb
 431642b4682da1aa50046ef05d14fd07 610170 lisp optional clisp-module-wildcard_2.49-1_amd64.deb
 e30a7fa3cc9a6047a41bb094d80fc713 631918 lisp optional clisp-module-gdbm_2.49-1_amd64.deb
 bcf82f7acf305f7af431b3e61c2fe855 611068 lisp optional clisp-module-zlib_2.49-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMotU0AAoJEB4VNT76eIlavzIP/01NcWmicj/AsOJWy0o/lvte
moM6KWrWhJAyXI7tOMotxFyTvDE8l5zvPayY4J1hUpPHmLpT+cfaMHUfwmZ3bIOW
psh5W8cE3sP8ndLTPo9S7eLs/ZuUuY+mTBe3zUR+BA8ugHtcweOzn+IDxdFJc/wM
A5jIOG9pVK4DF40qQTAuO2RwAwKMEsXy4M7omMhsxcKMLLuZOUSazENnCYOdg1KW
dBtT3BqH1XjmuC1v0GeYo56kohrEtLdqZ66FVpT5OsxW777tF6/8QmwVUyTUAr3n
67sVqQvgHGgqanR/fdKOE075SNX1xcSOYaonPP6nNecPRmllVQgSI8egYfXf/6QD
ZKHrD9Wk4JOFUK5PtzbwcYgL1KdJ3ozSRpY7NQYjku77I3g4gUeyhgqN0j6TFYE4
gFDgyjgAkfa44n1hhJ3idQdf6u4Os8AFusPFySlx99++ENBOs+3UeaP4T906v4ZT
sMOL3I5mkl+AgMr/3pewu/d16toTHyvrV6CXeAzpti04QuCq+XKRmql2pJFm+UaL
QttPFJXjNcsqRsCM2On0ou2TKzKJJWEVKTHLKi3avvSPHVfuXSSY1cGW09D7amim
z91alBVGG4ID6xSd1HKzB6RqrFxTDby2FZIOEP8AP8a0CcRSSYXI2zIAEEs8lD2R
rl8b/rIxbtTkjM+rLZq/
=uyBV
-----END PGP SIGNATURE-----





Reply sent to Peter Van Eynde <pvaneynd@debian.org>:
You have taken responsibility. (Thu, 28 Oct 2010 11:51:40 GMT) Full text and rfc822 format available.

Notification sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Bug acknowledged by developer. (Thu, 28 Oct 2010 11:51:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Thu, 28 Oct 2010 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Len Sorensen <lennartsorensen@ruggedcom.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Thu, 28 Oct 2010 20:18:03 GMT) Full text and rfc822 format available.

Message #84 received at 592768@bugs.debian.org (full text, mbox):

From: Len Sorensen <lennartsorensen@ruggedcom.com>
To: "592768@bugs.debian.org" <592768@bugs.debian.org>
Cc: Lennart Sorensen <lennartsorensen@ruggedcom.com>
Subject: Re: Bug#592768 closed by Peter Van Eynde <pvaneynd@debian.org> (Bug#592768: fixed in clisp 1:2.49-1)
Date: Thu, 28 Oct 2010 16:13:03 -0400
On Thu, Oct 28, 2010 at 07:51:39AM -0400, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the clisp package:
> 
> #592768: clisp segfaults on install on powerpc system.
> 
> It has been closed by Peter Van Eynde <pvaneynd@debian.org>.
> 
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Peter Van Eynde <pvaneynd@debian.org> by
> replying to this email.

I didn't think the bug could be closed until the fixed package entered
the archives, which it certainly hasn't yet, especially since it depends
on a package (libsigsegv) that isn't even in incoming yet.

I wanted to test that it fixed the problem, but since there is no powerpc
build of it yet and the build dependancies are missing, I can't.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Sun, 14 Nov 2010 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Sun, 14 Nov 2010 14:06:03 GMT) Full text and rfc822 format available.

Message #89 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Len Sorensen <lennartsorensen@ruggedcom.com>, 592768@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#592768: clisp segfaults on install on powerpc system.
Date: Sun, 14 Nov 2010 14:03:14 +0000
Hello,

I have successfully installed this package into powerpc machine.

On Thu, Aug 12, 2010 at 01:14:45PM -0400, Len Sorensen wrote:
> ;;  Loaded file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp                                                                                                            
> *** - handle_fault error2 ! address = 0x77946b98 not in [0x69a5a0d8,0x69b37000) !                                                                                                                                                                                              
> SIGSEGV cannot be cured. Fault address = 0x77946b98.                                                                                                                                                                                                                           
Reinstalling for clisp
Recompiling Common Lisp Controller for clisp
Installing clc...
;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...
;;  Loading file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp ...
;;  Loaded file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
;;  Loading file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas
;; Loaded file /usr/lib/clisp-2.48/install-clc.lisp
;; Wrote the memory image into /usr/lib/clisp-2.48/full/lispinit.mem (3,384,224 bytes)
Bytes permanently allocated:            108,736
Bytes currently in use:               3,268,676
Bytes available until next GC:          814,454
created /usr/lib/clisp-2.48/full/lispinit.mem as expected.
-rw-r--r-- 1 root root 3384224 nov 14 13:54 /usr/lib/clisp-2.48/full/lispinit.mem

Done rebuilding
Configurando common-lisp-controller (7.4+nmu1) ...
Reinstalling for clisp
Recompiling Common Lisp Controller for clisp
Installing clc...
;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...
;;  Loading file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp ...
;;  Loaded file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
;;  Loading file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas
;; Loaded file /usr/lib/clisp-2.48/install-clc.lisp
;; Wrote the memory image into /usr/lib/clisp-2.48/full/lispinit.mem (3,384,224 bytes)
Bytes permanently allocated:            108,736
Bytes currently in use:               3,268,676
Bytes available until next GC:          814,454
created /usr/lib/clisp-2.48/full/lispinit.mem as expected.
-rw-r--r-- 1 root root 3384224 nov 14 13:54 /usr/lib/clisp-2.48/full/lispinit.mem

Done rebuilding
Configurando clisp (1:2.48-3) ...
Installing clc...
;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...
;;  Loading file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp ...
;;  Loaded file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp
;;  Loading file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/common-lisp-controller.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/cl-asdf/asdf.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/cl-asdf/wild-modules.fas
;;  Loading file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas ...
;;  Loaded file /var/cache/common-lisp-controller/0/clisp/common-lisp-controller/post-sysdef-install.fas
;; Loaded file /usr/lib/clisp-2.48/install-clc.lisp
;; Wrote the memory image into /usr/lib/clisp-2.48/full/lispinit.mem (3,384,976 bytes)
Bytes permanently allocated:            108,736
Bytes currently in use:               3,269,428
Bytes available until next GC:          814,642
created /usr/lib/clisp-2.48/full/lispinit.mem as expected.
-rw-r--r-- 1 root root 3384976 Nov 14 13:55 /usr/lib/clisp-2.48/full/lispinit.mem





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Sun, 14 Nov 2010 14:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Sun, 14 Nov 2010 14:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Thu, 13 Jan 2011 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Len Sorensen <lennartsorensen@ruggedcom.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Thu, 13 Jan 2011 21:09:03 GMT) Full text and rfc822 format available.

Message #99 received at 592768@bugs.debian.org (full text, mbox):

From: Len Sorensen <lennartsorensen@ruggedcom.com>
To: "592768@bugs.debian.org" <592768@bugs.debian.org>
Cc: Lennart Sorensen <lennartsorensen@ruggedcom.com>
Subject: Re: Bug#592768 closed by David Bremner <bremner@debian.org> (Bug#594178: fixed in clisp 1:2.48-3.1)
Date: Thu, 13 Jan 2011 16:00:50 -0500
On Wed, Jan 12, 2011 at 10:21:04PM -0500, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the clisp package:
> 
> #594178: clisp segfaults on install on powerpc system.
> 
> It has been closed by David Bremner <bremner@debian.org>.
> 
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact David Bremner <bremner@debian.org> by
> replying to this email.
> 
> 
> -- 
> 594178: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594178
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems

Received: (at 594178-close) by bugs.debian.org; 13 Jan 2011 03:17:16 +0000
Received: from franck.debian.org ([128.148.34.3])
	from C=NA,ST=NA,L=Ankh Morpork,O=Debian SMTP,OU=Debian SMTP CA,CN=franck.debian.org,EMAIL=hostmaster@franck.debian.org (verified)
	by busoni.debian.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.69)
	(envelope-from <envelope@ftp-master.debian.org>)
	id 1PdDga-0002qw-4F
	for 594178-close@bugs.debian.org; Thu, 13 Jan 2011 03:17:16 +0000
Received: from dak by franck.debian.org with local (Exim 4.69)
	(envelope-from <envelope@ftp-master.debian.org>)
	id 1PdDgY-00038d-2r; Thu, 13 Jan 2011 03:17:14 +0000
From: David Bremner <bremner@debian.org>
To: "594178-close@bugs.debian.org" <594178-close@bugs.debian.org>
Sender: Archive Administrator <dak@franck.debian.org>
Date: Wed, 12 Jan 2011 22:17:14 -0500
Subject: Bug#594178: fixed in clisp 1:2.48-3.1
Thread-Topic: Bug#594178: fixed in clisp 1:2.48-3.1
Thread-Index: Acuy0PntW/+YcVJ8SQSBc2obAD8PMQ==
Message-ID: <E1PdDgY-00038d-2r@franck.debian.org>
Accept-Language: en-US
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
x-spam-level:
x-spam-status: No, score=-12.7 required=4.0 tests=BAYES_00,FROMDEVELOPER,
	FVGT_m_MULTI_ODD,HAS_BUG_NUMBER,IMPRONONCABLE_2,MURPHY_WRONG_WORD1,
	MURPHY_WRONG_WORD2,PGPSIGNATURE autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
x-debian: DAK
x-spam-checker-version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on busoni.debian.org
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
> 
> 
> Source: clisp
> Source-Version: 1:2.48-3.1
> 
> We believe that the bug you reported is fixed in the latest version of
> clisp, which is due to be installed in the Debian FTP archive:
> 
> clisp-dev_2.48-3.1_amd64.deb
>   to main/c/clisp/clisp-dev_2.48-3.1_amd64.deb
> clisp-doc_2.48-3.1_all.deb
>   to main/c/clisp/clisp-doc_2.48-3.1_all.deb
> clisp_2.48-3.1.diff.gz
>   to main/c/clisp/clisp_2.48-3.1.diff.gz
> clisp_2.48-3.1.dsc
>   to main/c/clisp/clisp_2.48-3.1.dsc
> clisp_2.48-3.1_amd64.deb
>   to main/c/clisp/clisp_2.48-3.1_amd64.deb
> clisp_2.48.orig.tar.gz
>   to main/c/clisp/clisp_2.48.orig.tar.gz
> 
> 
> 
> A summary of the changes between this version and the previous one is
> attached.
> 
> Thank you for reporting the bug, which will now be closed.  If you
> have further comments please address them to 594178@bugs.debian.org,
> and the maintainer will reopen the bug report if appropriate.
> 
> Debian distribution maintenance software
> pp.
> David Bremner <bremner@debian.org> (supplier of updated clisp package)
> 
> (This message was generated automatically at their request; if you
> believe that there is a problem with it please contact the archive
> administrators by mailing ftpmaster@debian.org)
> 
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Format: 1.8
> Date: Wed, 12 Jan 2011 18:29:21 -0400
> Source: clisp
> Binary: clisp clisp-dev clisp-doc
> Architecture: source all amd64
> Version: 1:2.48-3.1
> Distribution: unstable
> Urgency: low
> Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
> Changed-By: David Bremner <bremner@debian.org>
> Description: 
>  clisp      - GNU CLISP, a Common Lisp implementation
>  clisp-dev  - GNU CLISP, a Common Lisp implementation (development files)
>  clisp-doc  - GNU CLISP, a Common Lisp implementation (documentation)
> Closes: 594178
> Changes: 
>  clisp (1:2.48-3.1) unstable; urgency=low
>  .
>    * Non-maintainer upload.
>    * Backport some powerpc related debian/rules changes from 2.49-1. This
>      successfully passes the test suite on powerpc, so hopefully
>      Closes: #594178.
> Checksums-Sha1: 
>  57cb40733a351c11b239c94b36cfc54a1d00d342 1693 clisp_2.48-3.1.dsc
>  3ee23f1a190b1c4182573135f975c690600929bb 9434445 clisp_2.48.orig.tar.gz
>  46316e45cfb5ad5c4b7d717f86ae8ddde9dfe95f 24223 clisp_2.48-3.1.diff.gz
>  8d9f7c30be1546124edcc5168ac7fb1264f429f9 1172692 clisp-doc_2.48-3.1_all.deb
>  0b91fe53754c72d1c5c7114c7779b82c4dd87e8d 4721774 clisp_2.48-3.1_amd64.deb
>  bef900524687ce7925fff2192b6f576221157df4 4038148 clisp-dev_2.48-3.1_amd64.deb
> Checksums-Sha256: 
>  d36e865f9cc726648c2accccf191143c27bd028660636567c7de73f0e12bd7c3 1693 clisp_2.48-3.1.dsc
>  6a769867d8b7e1885203b4ca5652aab6c5d38901945f0f92f56810d23f9fd5a4 9434445 clisp_2.48.orig.tar.gz
>  13979c5f77eaa0b3b58398148add13ad35cdf5e5c1222c49a0df0e886a0de765 24223 clisp_2.48-3.1.diff.gz
>  5b66abcd98a2481415cd9f22624d27a9b38c9ba89addbf9e58ddbbe0fe982fcc 1172692 clisp-doc_2.48-3.1_all.deb
>  adfa950f3ad08931b0fdac7e9623d2ddec6024d0f1a99eca24a514bf34f6b61a 4721774 clisp_2.48-3.1_amd64.deb
>  5112b4f66bc09b63ff9f1954935dca02cbefc2930ce94f4eb3da92206caf803f 4038148 clisp-dev_2.48-3.1_amd64.deb
> Files: 
>  70f97ac4697d75299970c1763de292e3 1693 lisp optional clisp_2.48-3.1.dsc
>  82275297d00ff10e481f8f244fa1d37f 9434445 lisp optional clisp_2.48.orig.tar.gz
>  24dfdd14fae2a64ca9a3384c661d4a1e 24223 lisp optional clisp_2.48-3.1.diff.gz
>  172a1d4475fd3844819482e105498e0b 1172692 doc optional clisp-doc_2.48-3.1_all.deb
>  a77a607d710fc2dc1c345e2ba73b65b9 4721774 lisp optional clisp_2.48-3.1_amd64.deb
>  702883c58fd8bc56f35a7f4519463b59 4038148 lisp optional clisp-dev_2.48-3.1_amd64.deb
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
> 
> iJwEAQECAAYFAk0uas8ACgkQTiiN/0Um85mtpgQAnaiE1uV0oyfVOrL0zgTitwxU
> IjsapxNDgaYPmwc9LJABUB5qHfcBjkWIRgneKG7PtoC9TGINkoQIp0LhcgYh7XQw
> fg//ureAqvJubUVqef5ZOnve18qGnuUtJeAWvpx+Xv9QLFAln8sqYv55C7F+3+uJ
> usHa9KSPf+UmfKlW9LI=
> =c7XG
> -----END PGP SIGNATURE-----
> 
> 

Received: (at submit) by bugs.debian.org; 12 Aug 2010 17:20:42 +0000
Received: from mail2.ruggedcom.com ([204.50.148.11])
	by busoni.debian.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
	(Exim 4.69)
	(envelope-from <lennartsorensen@ruggedcom.com>)
	id 1OjbSM-0004uP-4F
	for submit@bugs.debian.org; Thu, 12 Aug 2010 17:20:42 +0000
Received: from rceng01.eng.lan (10.200.2.11) by RCexchangesvr1 (10.200.2.21)
 with Microsoft SMTP Server id 8.2.176.0; Thu, 12 Aug 2010 13:15:09 -0400
Received: from rceng03.eng.lan (rceng03.eng.lan [10.200.17.13])	by
 rceng01.eng.lan (Postfix) with ESMTP id 3099214E30C;	Thu, 12 Aug 2010
 13:14:56 -0400 (EDT)
Received: from root by rceng03.eng.lan with local (Exim 4.72)	(envelope-from
 <lennartsorensen@ruggedcom.com>)	id 1OjbMb-0005kH-QC; Thu, 12 Aug 2010
 13:14:45 -0400
From: Len Sorensen <lennartsorensen@ruggedcom.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Thu, 12 Aug 2010 13:14:45 -0400
Subject: clisp segfaults on install on powerpc system.
Thread-Topic: clisp segfaults on install on powerpc system.
Thread-Index: Acuy0PnvqY0vUMpcRkO/uou/CvsTqg==
Message-ID: <20100812171445.22066.27218.reportbug@rceng03.eng.lan>
Accept-Language: en-US
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
delivered-to: submit@bugs.debian.org
x-spam-level:
x-spam-status: No, score=-10.0 required=4.0 tests=AWL,BAYES_00,FOURLA,
	HAS_PACKAGE,IMPRONONCABLE_2,XMAILER_REPORTBUG autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
x-spam-checker-version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on busoni.debian.org
x-greylist: delayed 341 seconds by postgrey-1.31 at busoni; Thu, 12 Aug 2010
 17:20:42 UTC
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
> 
> 
> Package: clisp
> Version: 1:2.48-3
> Severity: grave
> Justification: renders package unusable
> 
> In trying to dist-upgrade today, I got a segfault in clisp.
> 
> Setting up clisp (1:2.48-3) ...                                                                                                                                                                                                                                                
> Installing clc...                                                                                                                                                                                                                                                              
> ;; Loading file /usr/lib/clisp-2.48/install-clc.lisp ...                                                                                                                                                                                                                       
> ;;  Loading file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp ...                                                                                                                                                                          
> ;;  Loaded file /usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp                                                                                                                                                                               
> *** - handle_fault error2 ! address = 0x77946b98 not in [0x69a5a0d8,0x69b37000) !                                                                                                                                                                                              
> SIGSEGV cannot be cured. Fault address = 0x77946b98.                                                                                                                                                                                                                           
> GC count: 0                                                                                                                                                                                                                                                                    
> Space collected by GC: 0 0                                                                                                                                                                                                                                                     
> Run time: 0 34497                                                                                                                                                                                                                                                              
> Real time: 0 610829                                                                                                                                                                                                                                                            
> GC time: 0 0                                                                                                                                                                                                                                                                   
> Permanently allocated: 108736 bytes.                                                                                                                                                                                                                                           
> Currently in use: 3721192 bytes.                                                                                                                                                                                                                                               
> Free space: 198 bytes.                                                                                                                                                                                                                                                         
> Segmentation fault                                                                                                                                                                                                                                                             
> Building of new image failed!                                                                                                                                                                                                                                                  
> dpkg: error processing clisp (--configure):                                                                                                                                                                                                                                    
>  subprocess installed post-installation script returned error exit status 4                                                                                                                                                                                                    
> dpkg: dependency problems prevent configuration of xindy:                                                                                                                                                                                                                      
>  xindy depends on clisp-fasl-loader-20080430; however:                                                                                                                                                                                                                         
>   Package clisp-fasl-loader-20080430 is not installed.                                                                                                                                                                                                                         
>   Package clisp which provides clisp-fasl-loader-20080430 is not configured yet.                                                                                                                                                                                               
> dpkg: error processing xindy (--configure):                                                                                                                                                                                                                                    
>  dependency problems - leaving unconfigured                                                                                                                                                                                                                                    
> Errors were encountered while processing:                                                                                                                                                                                                                                      
>  clisp                                                                                                                                                                                                                                                                         
>  xindy                                                                                                                                                                                                                                                                         
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> 
> Any idea?  I tried purging clisp and installing it again, same result.
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: powerpc (ppc64)
> 
> Kernel: Linux 2.6.32-5-powerpc64 (SMP w/4 CPU cores)
> Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages clisp depends on:
> ii  common-lisp-controlle 7.3                Common Lisp source and compiler ma
> ii  libc6                 2.11.2-2           Embedded GNU C Library: Shared lib
> ii  libdb4.8              4.8.26-1           Berkeley v4.8 Database Libraries [
> ii  libffcall1            1.10+cvs20100619-2 Foreign Function Call Libraries
> ii  libncurses5           5.7+20100313-2     shared libraries for terminal hand
> ii  libreadline5          5.2-7              GNU readline and history libraries
> ii  libsigsegv0           2.5-3              Library for handling page faults i
> ii  libx11-6              2:1.3.3-3          X11 client-side library
> ii  libxau6               1:1.0.6-1          X11 authorisation library
> ii  libxext6              2:1.1.2-1          X11 miscellaneous extension librar
> ii  libxpm4               1:3.5.8-1          X11 pixmap library
> 
> clisp recommends no packages.
> 
> Versions of packages clisp suggests:
> pn  clisp-dev                     <none>     (no description available)
> pn  clisp-doc                     <none>     (no description available)
> pn  gdb                           <none>     (no description available)
> pn  slime                         <none>     (no description available)
> 
> -- no debconf information

No change.  Same segfault still happens.

-- 
Len Sorensen




Message sent on to Len Sorensen <lennartsorensen@ruggedcom.com>:
Bug#592768. (Fri, 14 Jan 2011 12:00:04 GMT) Full text and rfc822 format available.

Message #102 received at 592768-submitter@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: 592768-submitter@bugs.debian.org, 594178-submitter@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: clisp install failure is a powerpc64 only problem?
Date: Fri, 14 Jan 2011 07:55:40 -0400
[Message part 1 (text/plain, inline)]
Hi; 

It seems like the install problems for clisp might only be happening on
powerpc64. There are several reports of installation success on powerpc,
and I verified myself on qemu-system-powerpc.

Debian does not have any powerpc64 porterbox, so this is difficult for me
to test. 

I'm not sure what this means from the point of view of Squeeze
release. It does seem a bit odd to pull clisp from the release based on
bugs which we cannot duplicate on Debian machines.  On the other hand,
officially there is no separate "powerpc64" architecture, and having
only 32 bit supported is hardly desirable.

Of course, if someone can duplicate the bug running a 32-bit kernel that
changes things.  I still think we probably need a powerpc64 porterbox if
powerpc is going to continue as a release architecture post squeeze.

David
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Len Sorensen <lennartsorensen@ruggedcom.com>:
Bug#592768. (Fri, 14 Jan 2011 13:09:10 GMT) Full text and rfc822 format available.

Message #105 received at 592768-submitter@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: David Bremner <bremner@debian.org>
Cc: 592768-submitter@bugs.debian.org, 594178-submitter@bugs.debian.org, debian-release@lists.debian.org, debian-admin@lists.debian.org, mhy@debian.org
Subject: Re: clisp install failure is a powerpc64 only problem?
Date: Fri, 14 Jan 2011 14:05:29 +0100
[Message part 1 (text/plain, inline)]
David,

am Fri, Jan 14, 2011 at 07:55:40AM -0400 hast du folgendes geschrieben:
> Of course, if someone can duplicate the bug running a 32-bit kernel that
> changes things.  I still think we probably need a powerpc64 porterbox if
> powerpc is going to continue as a release architecture post squeeze.

I lobbied hard to get ppc64 buildds at all.  Now we have three: porpora,
poulenc and praetorius.  As porpora and poulenc are identical Apple XServe G5,
and given that we still have the slow voltaire as a ppc32 around, it might make
sense to get one of the two to be a ppc porterbox with 64bit kernel.

I don't know if porterboxes are possible at that location, however.  Thus
Cc'ing d-admin and the local admin.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Message sent on to Len Sorensen <lennartsorensen@ruggedcom.com>:
Bug#592768. (Fri, 14 Jan 2011 13:33:03 GMT) Full text and rfc822 format available.

Message #108 received at 592768-submitter@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: David Bremner <bremner@debian.org>, 592768-submitter@bugs.debian.org, 594178-submitter@bugs.debian.org, debian-release@lists.debian.org, debian-admin@lists.debian.org
Subject: Re: clisp install failure is a powerpc64 only problem?
Date: Fri, 14 Jan 2011 13:29:16 +0000
On Fri, 14, Jan, 2011 at 02:05:29PM +0100, Philipp Kern spoke thus..
> David,
> 
> am Fri, Jan 14, 2011 at 07:55:40AM -0400 hast du folgendes geschrieben:
> > Of course, if someone can duplicate the bug running a 32-bit kernel that
> > changes things.  I still think we probably need a powerpc64 porterbox if
> > powerpc is going to continue as a release architecture post squeeze.
> 
> I lobbied hard to get ppc64 buildds at all.  Now we have three: porpora,
> poulenc and praetorius.  As porpora and poulenc are identical Apple XServe G5,
> and given that we still have the slow voltaire as a ppc32 around, it might make
> sense to get one of the two to be a ppc porterbox with 64bit kernel.
> 
> I don't know if porterboxes are possible at that location, however.  Thus
> Cc'ing d-admin and the local admin.

Unlikely we can make that a publically accessible porterbox I'm afraid.
I'd have to talk to networks at the University but I'm not sure they'd
be happy with it.  I'll ask though.

Mark

-- 
Mark Hymers <mhy at debian dot org>

"But Yossarian *still* didn't understand either how Milo could buy eggs
 in Malta for seven cents apiece and sell them at a profit in Pianosa
 for five cents."
     Catch 22, Joseph Heller




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#592768; Package clisp. (Tue, 18 Jan 2011 11:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Tue, 18 Jan 2011 11:09:09 GMT) Full text and rfc822 format available.

Message #113 received at 592768@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: David Bremner <bremner@debian.org>, 592768@bugs.debian.org
Subject: Re: Bug#592768: clisp install failure is a powerpc64 only problem?
Date: Tue, 18 Jan 2011 12:04:10 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 592768 squeeze-can-defer
tag 592768 squeeze-ignore
kthxbye

On Fri, Jan 14, 2011 at 07:55:40 -0400, David Bremner wrote:

> 
> Hi; 
> 
> It seems like the install problems for clisp might only be happening on
> powerpc64. There are several reports of installation success on powerpc,
> and I verified myself on qemu-system-powerpc.
> 
> Debian does not have any powerpc64 porterbox, so this is difficult for me
> to test. 
> 
> I'm not sure what this means from the point of view of Squeeze
> release. It does seem a bit odd to pull clisp from the release based on
> bugs which we cannot duplicate on Debian machines.  On the other hand,
> officially there is no separate "powerpc64" architecture, and having
> only 32 bit supported is hardly desirable.
> 
> Of course, if someone can duplicate the bug running a 32-bit kernel that
> changes things.  I still think we probably need a powerpc64 porterbox if
> powerpc is going to continue as a release architecture post squeeze.
> 
Deferring for squeeze.  We can include a fix in a point release.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 18 Jan 2011 11:09:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:54:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:01:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.